.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background-color: rgba(255, 255, 255, 0.4);
}

.preloader-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 55px;
  height: 55px;
  /* background-color: #fff; */
  border-radius: 50%;
  border: 5px solid #f3f3f3;
  border-top: 5px solid #3498db;
  animation: spin 1s linear infinite;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.1);
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.spinner {
  border: 4px solid rgba(70, 69, 69, 0.1);
  border-left-color: #353434;
  border-radius: 50%;
  width: 12px;
  height: 12px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.tableFixHead {
  overflow: auto;
  height: calc(100vh - 270px);
}

.tableFixHead thead th {
  /* position: sticky; */
  top: 0;
  z-index: 1;
  /* Arka plan rengini belirleyin, sticky header'ın altındaki içeriğin görünmesini engellemek için */
}

.tableFixHead thead:nth-of-type(2) th {
  top: 35px;
  /* İlk başlık satırının yüksekliğine bağlı olarak ayarlayın */
}

.table-responsive .dropdown-menu {
  position: absolute !important; /*Menülerin overflow sorunu çözülür */
  transform: translate(0, 100%); /* Menü, düğmenin altına hizalanır */
}

.table.dataTable thead th {
  text-align: left !important;
}
.form-control-sm::placeholder {
  padding: 0.1rem 0.1rem;
}
.dataTable tr th:first-child {
  padding-left: 0.8em !important;
}
.table.dataTable .form-control-sm {
  border-radius: 4px;
  height: 34px !important;
}

.icon {
  font-size: 20px;
}
.icon-lg {
  font-size: 60px;
}
.link {
  cursor: pointer;
}
.active-link {
  color: #007bff !important;
}

.color-green {
  color: #28a745 !important;
}

.color-red {
  color: #dc3545 !important;
}

.color-yellow {
  color: #fd7e14 !important;
}
.color-blue {
  color: #6439ff;
}

.dt-layout-row.ui-helper-clearfix:not(.dt-layout-table) {
  padding: 0 15px !important;
}

.dt-layout-row {
  margin-bottom: 0.75em !important;
}
.ts-wrapper .option .title {
  display: block;
}

.ts-wrapper .option .url {
  font-size: 12px;
  display: block;
  color: #a0a0a0;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  color: #495057 !important;
  line-height: 40px !important;
}

.select2-selection--multiple {
  min-height: 40px !important;
  border: 1px solid #ced4da !important;
  border-radius: 4px !important;
}

.select2-dropdown .select2-dropdown--below {
  border: 0 !important;
  box-shadow: 0px 0px 50px 0px rgba(82, 63, 105, 0.15) !important;
  border-radius: 0.46rem !important;
  padding: 2rem 0 !important;
  -webkit-border-radius: 0.46rem;
  -moz-border-radius: 0.46rem;
  -ms-border-radius: 0.46rem;
  -o-border-radius: 0.46rem;
}

.select2 .select2-container {
  width: 100% !important;
  /* min-width: 200px !important; */
}
.select2-results__option .select2-results__option--selectable {
  padding: 10px 15px !important;
}

.select2-container--open .select2-dropdown--below {
  border: 1px solid #ced4da !important;
  box-shadow: 0px 0px 50px 0px rgba(82, 63, 105, 0.15) !important;
  border-radius: 0.46rem !important;
  -webkit-border-radius: 0.46rem;
  -moz-border-radius: 0.46rem;
  -ms-border-radius: 0.46rem;
  -o-border-radius: 0.46rem;
}

.select2-results__options {
  max-height: 200px !important;
  overflow-y: auto !important;
}

.select2-dropdown .select2-results__option {
  padding: 10px !important;
}

.select2-container--default
  .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #eaecec !important;
  color: #1b84ff !important;
  transition: background-color 0.5s !important;
}

.form-floating
  .select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  color: #495057 !important;
  line-height: 72px !important;
}

.select2-container .select2-selection--single {
  /* height: 40px !important;
    border: 1px solid #ced4da !important;
    border-radius: 4px !important; */
  font-size: 14px !important;
  height: 40px !important;
}

.form-floating .select2-container .select2-selection--single {
  height: 58px !important;
  border: 1px solid #ced4da !important;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  height: 40px !important;
  position: absolute;
  top: 1px;
  right: 1px;
  width: 20px;
}

.select2-search__field {
  border-radius: 4px !important;
}

.select2-search__field:focus {
  border-color: #80bdff !important;
  outline: 0 !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}

.invoice-input {
  width: 300px;
}

.invoice-row {
  margin: 10px;
  border: 2px solid #05adad;
  padding: 10px;
  border-radius: 5px;
  flex-shrink: inherit;
}
.form-control {
  border: 1px solid #c6cbcf !important;
  height: 40px !important;
}

.form-control:focus,
.input-group-flat:focus-within {
  border: 1px solid #80bdff !important;
  outline: 0 !important;
  box-shadow: 0 0 5px rgba(71, 216, 241, 0.527) !important;
}

.search-input-row .form-control {
  height: 34px !important;
  border-radius: 4px !important;
  margin: 2px 0 !important;
}

.search-input-row .search {
  margin: 0 1px !important;
  padding: 2px 3px !important;
}

.form-control:hover {
  border-color: #80bdff !important;
  box-shadow: 0 0 5px rgba(71, 216, 241, 0.527) !important;
  transition: box-shadow 0.5s !important;
  -webkit-transition: box-shadow 0.5s !important;
  -moz-transition: box-shadow 0.5s !important;
  -ms-transition: box-shadow 0.5s !important;
  -o-transition: box-shadow 0.5s !important;
}

.fs-22 {
  font-size: 22px !important;
}

.fs-24 {
  font-size: 24px !important;
}

.fs-30 {
  font-size: 30px !important;
}

.error {
  color: red;
}

/* Daha spesifik bir seçici kullanarak */
.error {
  color: red;
  text-align: left !important;
  /* !important kullanmadan */
  margin-bottom: 5px !important;
}

div.dt-container .dt-search input {
  padding: 10px;
  border: 1px solid #e4e7e9 !important;
}

div.dt-container .dt-search input:focus {
  border: 1px solid #80bdff !important;
  outline: 0 !important;
  box-shadow: 0 0 5px rgba(71, 216, 241, 0.527) !important;
}

div.dt-container .dt-search input:hover {
  border: 1px solid #80bdff !important;
  outline: 0 !important;
  box-shadow: 0 0 5px rgba(71, 216, 241, 0.527) !important;
}

div.dt-container .dt-search input::placeholder {
  color: #a0a0a0 !important;
}

body.swal2-height-auto {
  height: auto;
}

.brand-img img {
  border: 1px solid #d3d4d6;
  width: 100px;
  height: 100px;
  min-width: 100px;
  min-height: 100px;
  border-radius: 10%;
  object-fit: cover;
  -webkit-border-radius: 10%;
  -moz-border-radius: 10%;
  -ms-border-radius: 10%;
  -o-border-radius: 10%;
}

.vertical-center {
  display: flex;
  align-items: center;
}

@media (min-width: 1600px) {
  .container-xxl,
  .container-xl,
  .container-lg,
  .container-md,
  .container-sm,
  .container:not(.register .container) {
    max-width: 1520px;
  }
}
@media (min-width: 1800px) {
  .container-xxl,
  .container-xl,
  .container-lg,
  .container-md,
  .container-sm,
  .container:not(.register .container) {
    max-width: 1680px;
  }
}

.form-control {
  border: 1px solid #c6cbcf !important;
}

table tr td {
  vertical-align: middle !important;
}

/* 
  You want a simple and fancy tooltip?
  Just copy all [data-tooltip] blocks:
*/
[data-tooltip] {
  --arrow-size: 5px;
  position: relative;
}

/* Positioning and visibility settings of the tooltip */
[data-tooltip]:before,
[data-tooltip]:after {
  position: absolute;
  visibility: hidden;
  opacity: 0;
  left: 50%;
  bottom: calc(100% + var(--arrow-size));
  pointer-events: none;
  transition: 0.2s;
  will-change: transform;
}

/* The actual tooltip with a dynamic width */
[data-tooltip]:before {
  content: attr(data-tooltip);
  padding: 10px 18px;
  min-width: 50px;
  max-width: 300px;
  width: max-content;
  width: -moz-max-content;
  border-radius: 6px;
  font-size: 14px;
  background-color: rgba(59, 72, 80, 0.9);
  background-image: linear-gradient(
    30deg,
    rgba(59, 72, 80, 0.44),
    rgba(59, 68, 75, 0.44),
    rgba(60, 82, 88, 0.44)
  );
  box-shadow: 0px 0px 24px rgba(0, 0, 0, 0.2);
  color: #fff;
  text-align: center;
  white-space: pre-wrap;
  transform: translate(-50%, calc(0px - var(--arrow-size))) scale(0.5);
}

/* Tooltip arrow */
[data-tooltip]:after {
  content: "";

  border-style: solid;
  border-width: var(--arrow-size) var(--arrow-size) 0px var(--arrow-size);
  /* CSS triangle */
  border-color: rgba(55, 64, 70, 0.9) transparent transparent transparent;
  transition-duration: 0s;
  /* If the mouse leaves the element, 
                                the transition effects for the 
                                tooltip arrow are "turned off" */
  transform-origin: top;
  /* Orientation setting for the
                                slide-down effect */
  transform: translateX(-50%) scaleY(0);
}

/* Tooltip becomes visible at hover */
[data-tooltip]:hover:before,
[data-tooltip]:hover:after {
  visibility: visible;
  opacity: 1;
}

/* Scales from 0.5 to 1 -> grow effect */
[data-tooltip]:hover:before {
  transition-delay: 0.3s;
  transform: translate(-50%, calc(0px - var(--arrow-size))) scale(1);
}

/* 
    Arrow slide down effect only on mouseenter (NOT on mouseleave)
  */
[data-tooltip]:hover:after {
  transition-delay: 0.5s;
  /* Starting after the grow effect */
  transition-duration: 0.2s;
  transform: translateX(-50%) scaleY(1);
}

/*
    That's it for the basic tooltip.
  
    If you want some adjustability
    here are some orientation settings you can use:
  */

/* LEFT */
/* Tooltip + arrow */
[data-tooltip-location="left"]:before,
[data-tooltip-location="left"]:after {
  left: auto;
  right: calc(100% + var(--arrow-size));
  bottom: 50%;
}

/* Tooltip */
[data-tooltip-location="left"]:before {
  transform: translate(calc(0px - var(--arrow-size)), 50%) scale(0.5);
}

[data-tooltip-location="left"]:hover:before {
  transform: translate(calc(0px - var(--arrow-size)), 50%) scale(1);
}

/* Arrow */
[data-tooltip-location="left"]:after {
  border-width: var(--arrow-size) 0px var(--arrow-size) var(--arrow-size);
  border-color: transparent transparent transparent rgba(55, 64, 70, 0.9);
  transform-origin: left;
  transform: translateY(50%) scaleX(0);
}

[data-tooltip-location="left"]:hover:after {
  transform: translateY(50%) scaleX(1);
}

/* RIGHT */
[data-tooltip-location="right"]:before,
[data-tooltip-location="right"]:after {
  left: calc(100% + var(--arrow-size));
  bottom: 50%;
}

[data-tooltip-location="right"]:before {
  transform: translate(var(--arrow-size), 50%) scale(0.5);
}

[data-tooltip-location="right"]:hover:before {
  transform: translate(var(--arrow-size), 50%) scale(1);
}

[data-tooltip-location="right"]:after {
  border-width: var(--arrow-size) var(--arrow-size) var(--arrow-size) 0px;
  border-color: transparent rgba(55, 64, 70, 0.9) transparent transparent;
  transform-origin: right;
  transform: translateY(50%) scaleX(0);
}

[data-tooltip-location="right"]:hover:after {
  transform: translateY(50%) scaleX(1);
}

/* BOTTOM */
[data-tooltip-location="bottom"]:before,
[data-tooltip-location="bottom"]:after {
  top: calc(100% + var(--arrow-size));
  bottom: auto;
}

[data-tooltip-location="bottom"]:before {
  transform: translate(-50%, var(--arrow-size)) scale(0.5);
}

[data-tooltip-location="bottom"]:hover:before {
  transform: translate(-50%, var(--arrow-size)) scale(1);
}

[data-tooltip-location="bottom"]:after {
  border-width: 0px var(--arrow-size) var(--arrow-size) var(--arrow-size);
  border-color: transparent transparent rgba(55, 64, 70, 0.9) transparent;
  transform-origin: bottom;
}

#payslip {
  width: 210mm;
  height: 297mm;
  background: #fff;
  padding: 30px 40px;
}

#title {
  margin-bottom: 20px;
  font-size: 38px;
  font-weight: 600;
}

#scope {
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  padding: 7px 0 4px 0;
  display: flex;
  justify-content: space-around;
}

#scope > .scope-entry {
  text-align: center;
}

#scope > .scope-entry > .value {
  font-size: 14px;
  font-weight: 700;
}

.content {
  display: flex;
  border-bottom: 1px solid #ccc;
  height: 297mm;
}

.content .left-panel,
.content .center-panel,
.content .right-panel {
  padding: 20px 16px 0 0;
  width: calc(12.5in - 80px);
}

.content .left-panel {
  border-right: 1px solid #ccc;

  padding: 20px 16px 0 0;
}
.content .center-panel {
  border-right: 1px solid #ccc;
  min-width: 300px;
  padding: 20px 16px 0 0;
}

.content .right-panel {
  width: 100%;
  padding: 10px 0 0 16px;
}

#employee {
  text-align: center;
  margin-bottom: 20px;
}
#employee #name {
  font-size: 15px;
  font-weight: 700;
}

#employee #email {
  font-size: 11px;
  font-weight: 300;
}

.details,
.contributions,
.ytd,
.gross {
  margin-bottom: 20px;
}

.details .entry,
.contributions .entry,
.ytd .entry {
  display: flex;
  justify-content: space-between;
  margin-bottom: 6px;
}

.details .entry .value,
.contributions .entry .value,
.ytd .entry .value {
  font-weight: 700;
  max-width: 230px;
  text-align: right;
}

.gross .entry .value {
  font-weight: 700;
  text-align: right;
  font-size: 16px;
}

.contributions .title,
.ytd .title,
.gross .title {
  font-size: 15px;
  font-weight: 700;
  border-bottom: 1px solid #ccc;
  padding-bottom: 4px;
  margin-bottom: 6px;
}

.content .right-panel .details {
  width: 100%;
}

.content .right-panel .details .entry {
  display: flex;
  padding: 0 10px;
  margin: 6px 0;
}

.content .right-panel .details .label {
  font-weight: 700;
  width: 120px;
}

.content .right-panel .details .detail {
  font-weight: 600;
  width: 130px;
}

.content .right-panel .details .rate {
  font-weight: 400;
  width: 80px;
  font-style: italic;
  letter-spacing: 1px;
}

.content .right-panel .details .amount {
  text-align: right;
  font-weight: 700;
  width: 90px;
}

.content .right-panel .details .net_pay div,
.content .right-panel .details .nti div {
  font-weight: 600;
  font-size: 12px;
}

.content .right-panel .details .net_pay,
.content .right-panel .details .nti {
  padding: 3px 0 2px 0;
  margin-bottom: 10px;
  background: rgba(0, 0, 0, 0.04);
}

div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm) {
  background-color: transparent !important;
  color: #000 !important;
  border: 1px solid #dce1e7 !important;
  background-image: transparent !important;
}

div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm),
div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-cancel) {
  transition: background-color 0.4ms ease !important;
  transition: border-color 0.4ms ease !important;
  transition: color 0.4ms ease !important;
  min-width: 150px !important;
}

div:where(.swal2-container)
  div:where(.swal2-actions):not(.swal2-loading)
  .swal2-confirm:hover {
  background-image: linear-gradient(transparent, transparent),
    linear-gradient(transparent, transparent) !important;
  border: 1px solid #aab2bf !important;
  transition: border-color 0.4ms ease !important;
}

div:where(.swal2-icon).swal2-warning {
  border-color: #fb773c !important;
  color: #fb773c !important;
}

div:where(.swal2-container) div:where(.swal2-popup) {
  font-size: 0.875rem !important;
  padding: 0 0 2em 0 !important;
}

div:where(.swal2-actions) {
  flex-wrap: nowrap !important;
  width: 80% !important;
}

div:where(.swal2-icon-content) {
  font-size: 3em !important;
}

.font-weight-400 {
  font-weight: 400 !important;
}
.font-weight-500 {
  font-weight: 500 !important;
}
.font-weight-600 {
  font-weight: 600 !important;
}
.font-weight-700 {
  font-weight: 700 !important;
}

.alert .btn-close {
  top: 50% !important;
  transform: translateY(-50%) !important;
}

.form-control.is-invalid,
.was-validated .form-control:invalid {
  border-color: var(--tblr-form-invalid-border-color) !important;
}

/* Floating Action Button Menü */
.fab-menu {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 1000;
}

/* Ana FAB Butonu */
.main-fab {
  /* background-color: #007bff; */
  background-color: #0056b3;
  color: #fff;
  border: none;
  border-radius: 50%;
  width: 56px;
  height: 56px;
  font-size: 24px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
  transition: background-color 0.3s ease;
  position: relative;
  opacity: 0.6;
}

.main-fab:hover {
  background-color: #0056b3;
  transition: opacity 0.3s ease;
  opacity: 1;
}

/* İkonlar */
.icon-hamburger,
.icon-close {
  font-size: 24px;
  transition: opacity 0.3s ease;
}

.icon-close {
  position: absolute;
  opacity: 0; /* Başlangıçta kapalı */
}

/* FAB Menü Seçenekleri */
.fab-options {
  position: relative;
  display: none; /* Başlangıçta gizli */
}

/* FAB Menü Elemanları */
.fab-item {
  position: absolute;
  right: 0;
  color: #fff;
  border: none;
  border-radius: 50%;
  width: 48px;
  height: 48px;
  cursor: pointer;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
  font-size: 20px;
  justify-content: center;
  transition: transform 0.3s ease, opacity 0.3s ease;
  opacity: 0; /* Başlangıçta kapalı */
  transform: translateY(20px); /* Başlangıçta aşağıda */
}

.fab-options .fab-item:nth-child(1),
.fab-options .fab-item:nth-child(1) span {
  background-color: #3b5998; /* İlk fab-item'ın arka plan rengiyle aynı */
}

.fab-options .fab-item:nth-child(2),
.fab-options .fab-item:nth-child(2) span {
  background-color: #25d366; /* İkinci fab-item'ın arka plan rengiyle aynı */
}
.fab-options .fab-item:nth-child(3),
.fab-options .fab-item:nth-child(3) span {
  background-color: #1da1f2; /* Üçüncü fab-item'ın arka plan rengiyle aynı */
}

/* Metin ve Simge için Stil */
.fab-item span {
  display: none; /* Başlangıçta gizli */
  color: #fff;
  padding: 4px 8px;
  border-radius: 6px;
  margin-right: 10px;
  font-size: 14px;
  font-weight: bold;
  position: absolute;
  right: 50px;
  white-space: nowrap;
}

.fab-item:hover span {
  display: inline-block;
}

/* FAB Menü Elemanları Açıldığında */
.fab-options.show .fab-item {
  opacity: 1;
  transform: translateY(0); /* Yavaşça yukarı çıkar */
}

.has-error {
  border-color: #dc3545 !important;
}

* {
  /* scrollbar-color: #bbb transparent; */
  scrollbar-width: thin;
}
::-webkit-scrollbar {
  width: 8px;
}
::-webkit-scrollbar-track {
  background: transparent;
}
::-webkit-scrollbar-thumb {
  background-color: #bbb;
  border-radius: 20px !important;
  border: 2px solid transparent;
}

::-webkit-scrollbar-thumb {
  border-radius: 1rem;
  border: 5px solid transparent;
  box-shadow: inset 0 0 0 1rem
    rgba(var(--tblr-scrollbar-color, var(--tblr-body-color-rgb)), 0.16);
}

/* textarea {
min-height: 100px !important;} */